import Mock from 'mockjs';

const menusList = [
  // {
  //   id: 4,
  //   title: '用户管理',
  //   parentId: -1,
  //   url: '/userManage',
  //   sort: 2,
  //   icon: null,
  //   name: 'UserManage',
  // },
  // {
  //   id: 5,
  //   title: '考试管理',
  //   parentId: -1,
  //   url: '/examManage',
  //   sort: 2,
  //   icon: null,
  //   name: 'ExamManage',
  // },
  {
    id: 1,
    title: '服务单元管理',
    parentId: -1,
    url: '/service-unit-manage',
    sort: 1,
    name: 'ServiceUnitManage',
  },
  {
    id: 2,
    title: '派单管理',
    parentId: 1,
    url: '/service-unit-manage/dispatch',
    sort: 1,
    name: 'Dispatch',
  },
  {
    id: 3,
    title: '派单管理',
    parentId: 2,
    url: '/service-unit-manage/dispatch/dispatch-manage',
    sort: 1,
    name: 'DispatchManage',
  },
];

export const menusApi = Mock.mock('/api/getMenus', 'get', () => {
  return menusList;
});

export const loginApi = Mock.mock('/api/login', 'post', (data) => {
  return {
    userName: '路人甲',
    id: Math.floor(Math.random() * 100 + 1),
    token: '123',
  };
});

export const addApi = Mock.mock('/api/add', 'post', (data) => {
  return {
    ok: true,
  };
});
export const editApi = Mock.mock('/api/edit', 'post', (data) => {
  return {
    ok: true,
  };
});

//模拟一个分页请求
export const tableApi = Mock.mock('/api/table', 'post', (data) => {
  return {
    list: [
      {
        a: 1,
        b: 2,
        c: 3,
        d: 4,
        e: 5,
        f: 6,
        g: 7,
        h: 8,
        i: 9,
        j: 10,
        k: 11,
        l: 12,
        m: 13,
      },
    ],
    total: 80,
  };
});
